Name:           httpie
Version:        2.2.0
Release:        %mkrel 1
Summary:        A Curl-like tool for humans

Group:          Networking/WWW
License:        BSD
URL:            http://httpie.org/
Source0:        https://pypi.io/packages/source/h/httpie/httpie-%{version}.tar.gz
BuildRequires:  python3-devel

# Needed so we can build the manpage with help2man without fataling.
BuildRequires:  python3-pygments
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  help2man

BuildArch:      noarch

Provides:       python3-httpie = %{version}-%{release}
Obsoletes:      python3-httpie < %{version}-%{release}

%description
HTTPie is a CLI HTTP utility built out of frustration with existing tools. The
goal is to make CLI interaction with HTTP-based services as human-friendly as
possible.

HTTPie does so by providing an http command that allows for issuing arbitrary
HTTP requests using a simple and natural syntax and displaying colorized
responses.

%prep
%setup -q
sed -i '/#!\/usr\/bin\/env/d' %{name}/__main__.py

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_mandir}/man1
help2man --no-discard-stderr %{buildroot}%{_bindir}/http > %{buildroot}%{_mandir}/man1/http.1

%files
%doc LICENSE README.rst
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}*
%{_bindir}/http
%{_bindir}/https
%{_mandir}/man1/http.1*


%changelog
* Sun Jul 12 2020 shlomif <shlomif> 2.2.0-1.mga8
+ Revision: 1605406
- New version 2.2.0

* Fri Apr 24 2020 shlomif <shlomif> 2.1.0-1.mga8
+ Revision: 1571680
- New version 2.1.0

* Fri Feb 28 2020 shlomif <shlomif> 2.0.0-1.mga8
+ Revision: 1551636
- New version 2.0.0

* Tue Feb 18 2020 umeabot <umeabot> 1.0.3-3.mga8
+ Revision: 1538798
- Mageia 8 Mass Rebuild

* Tue Nov 26 2019 daviddavid <daviddavid> 1.0.3-2.mga8
+ Revision: 1463022
- ease mga7->mga8 upgrade

* Tue Nov 26 2019 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1463016
- new version: 1.0.3, fixes CVE-2019-10751 (mga#25764)

* Sat Sep 21 2019 daviddavid <daviddavid> 1.0.2-3.mga8
+ Revision: 1444368
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.0.2-2.mga7
+ Revision: 1353293
- Rebuild for python3 3.7

* Sat Nov 24 2018 shlomif <shlomif> 1.0.2-1.mga7
+ Revision: 1333876
- New version 1.0.2

* Thu Sep 20 2018 umeabot <umeabot> 0.9.9-3.mga7
+ Revision: 1278668
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.9.9-2.mga7
+ Revision: 1135225
- Rebuild for python 3.6

* Sat Feb 18 2017 shlomif <shlomif> 0.9.9-1.mga6
+ Revision: 1086702
- New version 0.9.9.

* Wed Feb 10 2016 shlomif <shlomif> 0.9.3-1.mga6
+ Revision: 953456
- New version 0.9.3

* Thu Oct 08 2015 daviddavid <daviddavid> 0.9.2-2.mga6
+ Revision: 887792
- rebuild for python 3.5

* Thu Sep 10 2015 shlomif <shlomif> 0.9.2-1.mga6
+ Revision: 875383
- New version 0.9.2

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-6.mga5
+ Revision: 747194
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.0-5.mga5
+ Revision: 726469
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-4.mga5
+ Revision: 680198
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.8.0-3.mga5
+ Revision: 629676
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.8.0-2.mga5
+ Revision: 628255
- Rebuild for new Python

* Wed Apr 02 2014 shlomif <shlomif> 0.8.0-1.mga5
+ Revision: 611320
- Add BR
- Change to mkrel
- Importing httpie based on the Fedora package

